/// <reference types="react" />
interface Event {
    id: number | string;
    title: string;
    start: Date;
    end: Date;
}
interface TimelineCalendarProps {
    currentDate: Date;
    events: Event[];
    numberOfColumns?: number;
    twentyFourHourClock?: boolean;
    onCellClick?: (date: Date) => void;
    onEventClick?: (event: Event) => void;
    disableCellPredicate?: (date: Date) => boolean;
    hourWindowDateFormat?: string;
    dateWindowDateFormat?: string;
    businessHourStart?: number;
}
declare function TimelineCalendar({ numberOfColumns, currentDate, events, onCellClick, onEventClick, disableCellPredicate, dateWindowDateFormat, hourWindowDateFormat, businessHourStart, }: TimelineCalendarProps): JSX.Element;

export { TimelineCalendar };
